Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003636 [JEDI VCL] 00 JVCL Components major always 2006-04-11 06:43 2006-04-26 00:50
Reporter korecek View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.10
Summary 0003636: TJvStandardMenuItemPainter problem
Description We have a problem with Images in tray PopUp menu (maybe in popUp menu
generally - I am not sure) in connection with a TJvStandardMenuItemPainter
component.

There are following condition here:
1. WinXP
2. BCB6 Pro or BCB6 Ent.
3. Tray PopUp menu use also Images component.

A. If we use TJvStandardMenuItemPainter or any other "Menu Painter" and we set
   its LeftMargin to non-zero value we can see that the top and bottom Image in
   popUp tray menu are same. Bug???

B. If we set LeftMargin to zero we can see different top and bottom images in
   tray popUp menu. Waht we want. Good.

It seems to me as a bug...
Additional Information The attached example and pictures describe the problem.

Example is in BCB6 and there is also some comment how to work with.
Also.
There are two pictures which demonstrate the problem.

All is zipped in one file.
Tags No tags attached.
Attached Files zip file icon JvMenuPaintImage.zip [^] (25,094 bytes) 2006-04-11 06:43
zip file icon Delphi3636.zip [^] (9,308 bytes) 2006-04-13 10:48

- Relationships

-  Notes
(0009095)
obones (administrator)
2006-04-13 10:52

Ok, I'm seing this with Delphi as well. I've uploaded the sample application I'm using to test this. What's most annoying is that it seems the painter is not completely called when the left margin is set. This can be seen with the OfficePainter where the background square is not drawn.
I'm still investigating.
(0009098)
obones (administrator)
2006-04-13 13:57

This is now fixed in CVS.
(0009167)
korecek (reporter)
2006-04-21 09:02

Hi Olivier,
I have no long time possibility to download latest source.
Today I downloaded all sources JCL+JVCL (SVN).

I detected following problem which arose by setting of
LeftMargin in design time:
1. If I set LeftMargin to non-zero value in design time, I've
   got AV's in form constructor after application is started.
   (After compilation - certainly)
2. Also there is AV showed if I open project in IDE (when
   LefftMargin is set to non-zero value)
3. If I set LeftMargin in runtime there is not AV showed.
Steps:
1. Here is BCB6.
2. Comment-out code in constructor of BCB6 example.
3. Set LeftMargin to 20 for example.
4. Compile an application and start it.
5. The AV should be showed during starting of appl.

TIA
Vaclav
(0009186)
obones (administrator)
2006-04-26 00:50

Please create A NEW issue, leave that one fixed.
One problem = One issue.

- Issue History
Date Modified Username Field Change
2006-04-11 06:43 korecek New Issue
2006-04-11 06:43 korecek File Added: JvMenuPaintImage.zip
2006-04-13 08:22 obones Status new => assigned
2006-04-13 08:22 obones Assigned To => obones
2006-04-13 10:48 obones File Added: Delphi3636.zip
2006-04-13 10:52 obones Note Added: 0009095
2006-04-13 10:52 obones Status assigned => confirmed
2006-04-13 13:57 obones Status confirmed => resolved
2006-04-13 13:57 obones Resolution open => fixed
2006-04-13 13:57 obones Note Added: 0009098
2006-04-21 09:02 korecek Status resolved => feedback
2006-04-21 09:02 korecek Resolution fixed => reopened
2006-04-21 09:02 korecek Note Added: 0009167
2006-04-26 00:50 obones Status feedback => resolved
2006-04-26 00:50 obones Resolution reopened => fixed
2006-04-26 00:50 obones Note Added: 0009186


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker